Name:		perl-Module-Metadata
Version:	1.000036
Release:	3
Summary:	Gather package and POD information from perl module files
License:	GPLv1+ or Artistic
URL:		https://metacpan.org/release/Module-Metadata
Source0:	https://cpan.metacpan.org/authors/id/E/ET/ETHER/Module-Metadata-%{version}.tar.gz
BuildArch:	noarch

BuildRequires:	findutils make perl perl-generators
Requires:	perl perl(Fcntl)

%description
This module provides a standard way to gather metadata about a .pm file
through (mostly) static analysis and (some) code execution.
When determining the version of a module, the $VERSION assignment is evaled,
as is traditional in the CPAN toolchain.This module provides a standard way
to gather metadata about a .pm file through (mostly) static analysis and
(some) code execution. When determining the version of a module,
the $VERSION assignment is evaled, as is traditional in the CPAN toolchain.

%package help
Summary:  Module::Metadata man page
BuildArch: noarch

%description help
This package provide %{summary}.

%prep
%setup -q -n Module-Metadata-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PERLLOCAL=1 NO_PACKLIST=1
%make_build

%install
%make_install
%{_fixperms} %{buildroot}/*

%check
make test

%files
%defattr(-,root,root)
%license LICENCE
%doc Changes CONTRIBUTING README
%{perl_vendorlib}/Module/

%files help
%{_mandir}/man3/Module::Metadata.3*

%changelog
* Sat Dec 21 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.000036-3
- Change mod of files and add requires

* Tue Sep 24 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.000036-2
- Adjust requires

* Thu Aug 29 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.000036-1
- Package init
